docs.emix.ai
language
language
  • πŸ‡ΊπŸ‡Έ English
  • πŸ‡¨πŸ‡³ Chinese
language
language
  • πŸ‡ΊπŸ‡Έ English
  • πŸ‡¨πŸ‡³ Chinese
Market
File Upload API
Market
File Upload API
  1. Bytedance
  • Getting Started with Emix API (Important)
  • Market
  • Image Models
    • Seedream
      • Seedream4.5 - Text to Image
      • Seedream4.5 - Edit
      • Seedream5.0 Lite - Text to Image
      • Seedream5.0 Lite - Image to Image
      • Seedream5.0 Pro - Text to Image
      • Seedream5.0 Pro - Image to Image
    • Google
      • Google - Nano Banana
      • Google - Nano Banana Pro
      • Google - Nano Banana 2
      • Google - Nano Banana 2 Lite
    • Grok Imagine
      • Grok Imagine - Text to Image
      • Grok Imagine - image to image
    • GPT Image
      • GPT Image-1.5 - Text to Image
      • GPT Image-1.5 - Image to Image
      • GPT Image-2 - Text to Image
      • GPT Image 2 - Image To Image
    • Wan
      • Wan 2.7 Image
      • Wan 2.7 Image Pro
  • Video Models
    • Grok Imagine
      • Grok Imagine Text to Video
      • Grok Imagine Image to Video
      • Grok Imagine - Video Upscale
      • Grok Imagine - Video Extend
      • Grok Imagine Video 1.5 Preview
    • Kling
      • Kling 2.6 Text to Video
      • Kling 2.6 Image to Video
      • Kling AI Avatar Standard
      • Kling AI Avatar Pro
      • Kling V2.1 Master Image to Video
      • Kling V2.1 Master Text to Video
      • Kling V2.1 Pro
      • Kling V2.1 Standard
      • Kling 2.6 motion-control
      • Kling-3.0 motion-control
      • Kling 3.0
    • Bytedance
      • Bytedance Seedance 2.0
        POST
      • Bytedance Seedance 2.0 Fast
        POST
      • Bytedance Seedance 2.0 Mini
        POST
    • Veo3.1 API
      • VEO 3.1 Text to video
      • VEO 3.1 Image to video
      • VEO 3.1 Reference to vidoe
    • Wan
      • Wan 2.6 - Image to Video
      • Wan 2.6 - Text to Video
      • Wan 2.6 - Video to Video
      • Wan 2.7 - Text to Video
      • Wan 2.7 - Image to Video
      • Wan 2.7 - Video Edit
      • Wan 2.7 - Reference to Video
    • HappyHorse
      • HappyHorse-1-1 image-to-video
      • HappyHorse-1-1 text-to-video
      • HappyHorse-1-1 reference-to-video
    • Gemini Omni
      • Gemini Omni Video
      • Gemini Omni Audio
      • Gemini Omni Character
  • Chat Models
    • Claude
      • Claude Code + emix.ai Integration Guide
      • Claude Sonnet 5
    • Gemini
      • Gemini 3.5 Flash (openai)
    • Grok
      • Grok 4.5
      • Grok 4.3
  • Get Task Details
    GET
  1. Bytedance

Bytedance Seedance 2.0 Mini

POST
/api/v1/client/tasks

Query Task Status#

After submitting a task, use the unified query endpoint to check progress and retrieve results:
Get Task Details
Learn how to query task status and retrieve generation results
In production environments, it is recommended to use the callBackUrl parameter to receive automatic notifications upon completion, rather than polling the status API.
Note
Image-to-Video (First Frame), Image-to-Video (First & Last Frames), and Multimodal Reference-to-Video (including reference images, videos, and audio) are three mutually exclusive scenarios and cannot be used simultaneously.
Multimodal Reference-to-Video can indirectly achieve a "First/Last Frame + Multimodal Reference" effect by specifying reference images as the first or last frame via prompts. If you need to strictly guarantee that the first and last frames are identical to the specified images, prioritize using Image-to-Video (First & Last Frames)

Key Features#

Text-to-Video
Generate videos directly from text descriptions without input images
Image-to-Video
Animate static images with 0-2 input images support
Dynamic Camera
Advanced camera movement with optional lens locking for stable shots
Audio Generation
Optional audio generation for enhanced video content

Related Resources#

Market Overview
Explore all available models
Common API
Check credits and account usage

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟒200
application/json
Request successful
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.emix.ai/api/v1/client/tasks' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "model": "bytedance/seedance-2-mini",
    "callBackUrl": "https://your-domain.com/api/callback",
    "input": {
        "prompt": "A serene beach at sunset with waves gently crashing on the shore, palm trees swaying in the breeze, and seagulls flying across the orange sky",
        "first_frame_url": "https://templateb.aiquickdraw.com/custom-page/akr/section-images/example2.png",
        "last_frame_url": "https://templateb.aiquickdraw.com/custom-page/akr/section-images/example3.png",
        "reference_image_urls": [
            "https://templateb.aiquickdraw.com/custom-page/akr/section-images/example1.png"
        ],
        "reference_video_urls": [
            "https://templateb.aiquickdraw.com/custom-page/akr/section-images/example1.mp4"
        ],
        "reference_audio_urls": [
            "https://templateb.aiquickdraw.com/custom-page/akr/section-images/example1.mp3"
        ],
        "return_last_frame": false,
        "generate_audio": false,
        "resolution": "720p",
        "aspect_ratio": "16:9",
        "duration": 15,
        "web_search": false
    }
}'
Response Response Example
{
    "code": 200,
    "msg": "success",
    "data": {
        "taskId": "task_bytedance_1765186743319"
    }
}
Previous
Bytedance Seedance 2.0 Fast
Next
VEO 3.1 Text to video
Built with